import request from '@/utils/request'

// 查询家庭成员列表
export function listFamilyMember(query) {
  return request({
    url: '/business/familyMember/list',
    method: 'get',
    params: query
  })
}

// 查询家庭成员详细
export function getFamilyMember(id) {
  return request({
    url: '/business/familyMember/' + id,
    method: 'get'
  })
}

// 新增家庭成员
export function addFamilyMember(data) {
  return request({
    url: '/business/familyMember',
    method: 'post',
    data: data
  })
}

// 修改家庭成员
export function updateFamilyMember(data) {
  return request({
    url: '/business/familyMember',
    method: 'put',
    data: data
  })
}

// 删除家庭成员
export function delFamilyMember(id) {
  return request({
    url: '/business/familyMember/' + id,
    method: 'delete'
  })
}
